package midp.shopper;


public class Address { 
    String name;
    String phone;
    int    recordId;

    byte[] pack() { 
        byte[] record = new byte[1 + name.length()*2 + phone.length()];
        int nameLen = name.length();
        record[0] = (byte)nameLen;
        System.arraycopy(Convert.str2Bytes(name), 0, record, 1, nameLen*2);
        System.arraycopy(phone.getBytes(), 0, record, 1 + nameLen*2, phone.length());
        return record;
    }

    Address(int recordId, byte[] record) { 
        this.recordId = recordId;
        int nameLen = record[0];
        name = Convert.bytes2Str(record, 1, nameLen);
        int phoneOffs = 1 + nameLen*2;
        phone = new String(record, phoneOffs, record.length - phoneOffs);
    }
    
    Address(String name, String phone) { 
        this.name = name;
        this.phone = phone;
    }
}