package midp.shopper;

public class Settings { 
    String selfPhone;
    int    pollInterval;
    int    transport;
    
    static final int MAX_POLL_INTERVAL = 60;
    static final int DEFAULT_POLL_INTERVAL = 5;
    
    byte[] pack() {
        byte[] record = new byte[selfPhone.length()*2 + 2];
        record[0] = (byte)pollInterval;        
        record[1] = (byte)transport;
        Convert.str2Bytes(record, 2, selfPhone);
        return record;
    }

    Settings(byte[] record) {
         pollInterval = record[0];
         transport = record[1];
         selfPhone = Convert.bytes2Str(record, 2, (record.length - 2)/2);
    }

    Settings() {
        selfPhone = "";
        pollInterval = DEFAULT_POLL_INTERVAL;
        transport = -1;
    }
}

   
