package midp.shopper;

import java.io.*;
import javax.microedition.lcdui.*;
import java.util.Vector;

public class SyncForm extends Form implements CommandListener
{
    Vector products;

    public SyncForm(String sender, Vector products) { 
        super(sender);
        this.products = products;
        append(Locale.current.synchronize);
        setCommandListener(this);
        addCommand(Shopper.ACCEPT_CMD);
        addCommand(Shopper.REJECT_CMD);
        Display.getDisplay(Shopper.getInstance()).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d)  {
        Shopper shopper= Shopper.getInstance();
        if (c == Shopper.ACCEPT_CMD) { 
            shopper.syncProductList(products);            
        }
        shopper.getCommunicator().importCompleted();
        Shopper.goBack();
    }
}